<?php

// Version: 1.1; BoardIndex



function template_main()

{

	global $context, $settings, $options, $txt, $scripturl, $modSettings;



	/* Each category in categories is made up of:

	id, href, link, name, is_collapsed (is it collapsed?), can_collapse (is it okay if it is?),

	new (is it new?), collapse_href (href to collapse/expand), collapse_image (up/down image),

	and boards. (see below.) */

	$first = true;

	foreach ($context['categories'] as $category)

	{

		$first = false;

			echo '



	<table width="100%" style="background-image:url(', $settings['images_url'], '/ht/cbg.gif)" border="0" cellpadding="0" cellspacing="0">

		<tr>

			<td width="53" height="37" align="left" valign="top"><img src="', $settings['images_url'], '/ht/catsl.gif" alt=" " border="0" /></td>

			<td width="100%" style="background-image:url(', $settings['images_url'], '/ht/cbg.gif)" valign="middle">

				<a style="float:right" href="', $category['collapse_href'], '">', $category['collapse_image'], '</a>

				<div align="center"><strong><a href="', $category['href'], '">', $category['name'], '</a></strong></div>

			</td>

			<td width="53" height="37" align="right" valign="top"><img src="', $settings['images_url'], '/ht/catsg.gif" alt=" " border="0" /></td>

		</tr>

	</table>';



		// Assuming the category hasn't been collapsed...

		if (!$category['is_collapsed'])

		{

			echo '

	<table class="tborder" cellpadding="6" cellspacing="1" border="0" width="100%" align="center">

		<tr align="center">

			<td class="titlebg" width="5%">&nbsp;</td>

			<td class="titlebg" width="45%" align="left">', $txt[20], '</td>

		        <td class="titlebg" width="20%">', $txt[22], '</td>

		        <td class="titlebg" width="10%">', $txt[64], '</td>

			<td class="titlebg" width="10%">', $txt[21], '</td>

	  

		</tr>';

			foreach ($category['boards'] as $board)

			{

				echo '

		<tr align="center">

			<td class="windowbg2"><a href="', $scripturl, '?action=unread;board=', $board['id'], '.0">';

			// If the board is new, show a strong indicator.

			if ($board['new'])

				echo '<img src="', $settings['images_url'], '/on.gif" alt="', $txt[333], '" title="', $txt[333], '" />';

			// This board doesn't have new posts, but its children do.

			elseif ($board['children_new'])

				echo '<img src="', $settings['images_url'], '/on2.gif" alt="', $txt[333], '" title="', $txt[333], '" />';

			// No new posts at all! The agony!!

			else

				echo '<img src="', $settings['images_url'], '/off.gif" alt="', $txt[334], '" title="', $txt[334], '" />';

				echo '</a>

			</td>

			<td class="windowbg" align="left">

				<div><a href="', $board['href'], '" name="b', $board['id'], '"><strong>', $board['name'], '</strong></a></div>

				<div class="smalltext">', $board['description'], '</div>';



				// Show the "Moderators: ". Each has name, href, link, and id. (but we're gonna use link_moderators.)

			if (!empty($board['moderators']))

				echo '

				<div style="padding-top: 1px;" class="smalltext"><i>', count($board['moderators']) == 1 ? $txt[298] : $txt[299], ': ', implode(', ', $board['link_moderators']), '</i></div>';



				// Show some basic information about the number of posts, etc.

				echo '

			</td>

			<td class="windowbg2" nowrap="nowrap">';

			if (!empty($board['last_post']['id']))

				echo '

				<div class="smalltext" align="left">

					<div style="clear:both">

						<img class="inlineimg" src="', $settings['images_url'], '/post/xx.gif" alt="Talking" border="0" />

						', $board['last_post']['link'], '

					</div>

					<div>

						', $txt[525], ' ', $board['last_post']['member']['link'] , '

					</div>

					<div align="right">

						<span class="time">', $board['last_post']['time'], '</span>

						<a href="', $board['last_post']['href'], '"><img class="inlineimg" src="', $settings['images_url'], '/icons/last_post.gif" alt="" border="0" /></a>

					</div>

				</div>';

			echo '

			</td>

			<td class="windowbg">', $board['posts'], '</td>

			<td class="windowbg2">', $board['topics'], '</td>

		</tr>';

			}

		echo '

	</table>';

		}

	}



	if ($context['user']['is_logged'])

	{

		echo '

	<table border="0" width="100%" cellspacing="0" cellpadding="5">

		<tr>

			<td align="right">';



		// Mark read button.

		$mark_read_button = array('markread' => array('text' => 452, 'image' => 'markread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=all;sesc=' . $context['session_id']));



		// Show the mark all as read button?

		if ($settings['show_mark_read'] && !empty($context['categories']))

				echo '

				<table cellpadding="0" cellspacing="0" border="0" style="position: relative; top: -5px;">

					<tr>

							 ', template_button_strip($mark_read_button, 'top'), '

					</tr>

				</table>';

		echo '

			</td>

		</tr>

	</table>';

	}



	// Here's where the "Info Center" starts...

	echo '

	<div class="tborder" ', $context['browser']['needs_size_fix'] && !$context['browser']['is_ie6'] ? 'style="width: 100%;"' : '', '>

		<div class="catbg" style="text-align: center;">', $txt[685], '</div>

			<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">';



	// Show YaBB SP1 style information...

	if ($settings['show_sp1_info'])

	{

		echo '

				<tr>

					<td class="titlebg" colspan="2">', $txt[645], '</td>

				</tr>

				<tr>

					<td class="windowbg" width="20" valign="middle" align="center">

						<a href="', $scripturl, '?action=stats"><img src="', $settings['images_url'], '/icons/info.gif" alt="', $txt[645], '" /></a>

					</td>

					<td class="windowbg2" width="100%">

						<span class="middletext">

							', $context['common_stats']['total_posts'], ' ', $txt[95], ' ', $txt['smf88'], ' ', $context['common_stats']['total_topics'], ' ', $txt[64], ' ', $txt[525], ' ', $context['common_stats']['total_members'], ' ', $txt[19], '. ', $txt[656], ': <b> ', $context['common_stats']['latest_member']['link'], '</b>

							<br /> ' . $txt[659] . ': <b>&quot;' . $context['latest_post']['link'] . '&quot;</b>  ( ' . $context['latest_post']['time'] . ' )<br />

							<a href="', $scripturl, '?action=recent">', $txt[234], '</a>', $context['show_stats'] ? '<br />

							<a href="' . $scripturl . '?action=stats">' . $txt['smf223'] . '</a>' : '', '

						</span>

					</td>

				</tr>';

	}



	// "Users online" - in order of activity.

	echo '

				<tr>

					<td class="titlebg" colspan="2">', $txt[158], '&nbsp;(', $context['show_who'] ? '<a href="' . $scripturl . '?action=who">' : '', $context['num_guests'], ' ', $context['num_guests'] == 1 ? $txt['guest'] : $txt['guests'], ', ' . $context['num_users_online'], ' ', $context['num_users_online'] == 1 ? $txt['user'] : $txt['users'];



	// Handle hidden users and buddies.

	if (!empty($context['num_users_hidden']) || ($context['show_buddies'] && !empty($context['show_buddies'])))

	{

		echo ' (';



		// Show the number of buddies online?

		if ($context['show_buddies'])

			echo $context['num_buddies'], ' ', $context['num_buddies'] == 1 ? $txt['buddy'] : $txt['buddies'];



		// How about hidden users?

		if (!empty($context['num_users_hidden']))

			echo $context['show_buddies'] ? ', ' : '', $context['num_users_hidden'] . ' ' . $txt['hidden'];



		echo ')';

	}



	echo $context['show_who'] ? '</a>' : '', ')</td>

				</tr><tr>

					<td rowspan="2" class="windowbg" width="20" valign="middle" align="center">

						', $context['show_who'] ? '<a href="' . $scripturl . '?action=who">' : '', '<img src="', $settings['images_url'], '/icons/online.gif" alt="', $txt[158], '" />', $context['show_who'] ? '</a>' : '', '

					</td>

					<td class="windowbg2" width="100%">

						<div class="smalltext">';



	// Assuming there ARE users online... each user in users_online has an id, username, name, group, href, and link.

	if (!empty($context['users_online']))

		echo '

							', $txt[140], ':<br />', implode(', ', $context['list_users_online']);



	echo '

							<br />

							', $context['show_stats'] && !$settings['show_sp1_info'] ? '<a href="' . $scripturl . '?action=stats">' . $txt['smf223'] . '</a>' : '', '

						</div>

					</td>

				</tr>

				<tr>

					<td class="windowbg2" width="100%">

						<span class="middletext">

							', $txt['most_online_today'], ': <b>', $modSettings['mostOnlineToday'], '</b>.

							', $txt['most_online_ever'], ': ', $modSettings['mostOnline'], ' (' , timeformat($modSettings['mostDate']), ')

						</span>

					</td>

				</tr>';



	echo '

			</table>

	</div>';

}



?>